OpenVDB 13.0.0

Loading...
Searching...
No Matches
PointRasterizeTrilinear.h File Reference

Transfer schemes for rasterizing point data. More...

`#include <openvdb/openvdb.h>`
`#include <openvdb/Types.h>`
`#include <openvdb/Grid.h>`
`#include <openvdb/math/Math.h>`
`#include <openvdb/math/Transform.h>`
`#include <openvdb/tools/Morphology.h>`
`#include <openvdb/tree/ValueAccessor.h>`
`#include <openvdb/util/Assert.h>`
`#include "PointDataGrid.h"`
`#include "PointMask.h"`
`#include "PointTransfer.h"`
`#include <string>`
`#include "impl/PointRasterizeTrilinearImpl.h"`

Go to the source code of this file.

## Classes
struct | TrilinearTraits< ValueT, Staggered >
struct | TrilinearTraits< ValueT, false >

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::points

## Functions
template<bool Staggered, typename ValueT, typename FilterT = NullFilter, typename PointDataTreeT = PointDataTree>
auto | rasterizeTrilinear (const PointDataTreeT &points, const std::string &attribute, const FilterT &filter=NullFilter())
| Perform weighted trilinear rasterization of all points within a voxel. This method takes and returns a tree i.e. ignores grid transformations.

## Detailed Description

Transfer schemes for rasterizing point data.

Author
  Nick Avramoussis